# Uses of Class
org.apache.avro.SchemaBuilder.ArrayBuilder

Packages that use SchemaBuilder.ArrayBuilder
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.ArrayBuilder in org.apache.avro

Methods in org.apache.avro that return SchemaBuilder.ArrayBuilder
Modifier and Type
Method
Description
`static SchemaBuilder.ArrayBuilder<Schema>`
SchemaBuilder.`array()`
Create a builder for an Avro array This is equivalent to:
`final SchemaBuilder.ArrayBuilder<SchemaBuilder.ArrayDefault<R>>`
SchemaBuilder.BaseFieldTypeBuilder.`array()`
Build an Avro array type
`final SchemaBuilder.ArrayBuilder<R>`
SchemaBuilder.BaseTypeBuilder.`array()`
Build an Avro array type Example usage:
`SchemaBuilder.ArrayBuilder<SchemaBuilder.UnionAccumulator<SchemaBuilder.ArrayDefault<R>>>`
SchemaBuilder.UnionFieldTypeBuilder.`array()`
Build an Avro array type
`protected SchemaBuilder.ArrayBuilder<R>`
SchemaBuilder.ArrayBuilder.`self()`